import type { NodePath } from '@babel/traverse';
import type * as Babel from '@babel/core';
import { ImportUtil } from 'babel-import-util';
declare type EmberPrecompile = (templateString: string, options: Record<string, unknown>) => string;
declare type LegacyModuleName = 'ember-cli-htmlbars' | 'ember-cli-htmlbars-inline-precompile' | 'htmlbars-inline-precompile';
export interface Options {
    precompilerPath?: string;
    precompile?: EmberPrecompile;
    outputModuleOverrides?: Record<string, Record<string, [string, string]>>;
    enableLegacyModules?: LegacyModuleName[];
}
interface State {
    opts: Options;
    util: ImportUtil;
}
export default function htmlbarsInlinePrecompile(babel: typeof Babel): {
    visitor: {
        Program: {
            enter(path: NodePath<Babel.types.Program>, state: State): void;
            exit(_path: NodePath<Babel.types.Program>, state: State): void;
        };
        TaggedTemplateExpression(path: NodePath<Babel.types.TaggedTemplateExpression>, state: State): void;
        CallExpression(path: NodePath<Babel.types.CallExpression>, state: State): void;
    };
};
export {};
